Package twisted :: Package trial :: Module unittest

[frames | no frames]

## Module twisted.trial.unittest

Twisted Test Framework

.todo attributes can either be set on the TestCase or on an individual test* method, and indicate that the test is expected to fail. New tests (for which the underlying functionality has not yet been added) should set this flag while the code is being written. Once the feature is added and the test starts to pass, the flag should be removed.

Tests of highly-unstable in-development code should consider using .skip to turn off the tests until the code has reached a point where the success rate is expected to be monotonically increasing.

Classes
`TestCase` |
`Tester` | I contain all the supporting machinery for running a single test method.
`TestSuite` |

Exceptions
`FailTest` | Raised to indicate the current test has failed to pass.
`SkipTest` | Raise this (with a reason) to skip the current test.

Variable Summary
`int` | `ASSERTION_IS_ERROR` = 0

Variable Details

### ASSERTION_IS_ERROR

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:53 2004 | http://epydoc.sf.net